# Submit Project Assignment Checkin Questionnaire Data

POST https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/project-assignment/checkin
Content-Type: application/json

Use this endpoint to submit the checkin questionnaire. It is necessary to send all required questionnaire answers.
 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-project-assignment/checkin-project-assignment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/project-assignment/checkin:
    post:
      operationId: checkin-project-assignment
      summary: Submit Project Assignment Checkin Questionnaire Data
      description: >-
        Use this endpoint to submit the checkin questionnaire. It is necessary
        to send all required questionnaire answers.
         **Token scopes**: `contracts:read`, `contracts:write`
      tags:
        - subpackage_eorProjectAssignment
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the contract.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '204':
          description: >-
            No content. The request was successful, but there is no response
            body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-project-assignment_checkinProjectAssignment_Response_204
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '409':
          description: The requested version of the document mismatch the current version.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitProjectAssignmentCheckinQuestionnaireDataRequestConflictError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError
      requestBody:
        description: Payload for submitting employee or client form answers.
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaData
                  description: >-
                    Form submission payload containing respondent type, question
                    answers, and optional version.
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaDataType:
      type: string
      enum:
        - EMPLOYEE
        - CLIENT
      description: >-
        Indicates who is submitting the form. Can be either 'EMPLOYEE' or
        'CLIENT'.
      title: >-
        EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaDataType
    EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaDataType
          description: >-
            Indicates who is submitting the form. Can be either 'EMPLOYEE' or
            'CLIENT'.
        version:
          type: string
          description: Optional version identifier of the form or schema.
        questions_with_answers:
          type: object
          additionalProperties:
            type: string
          description: Map of question IDs to their corresponding answers.
      required:
        - type
        - questions_with_answers
      description: >-
        Form submission payload containing respondent type, question answers,
        and optional version.
      title: >-
        EorContractsContractIdProjectAssignmentCheckinPostRequestBodyContentApplicationJsonSchemaData
    eor-project-assignment_checkinProjectAssignment_Response_204:
      type: object
      properties: {}
      description: Empty response body
      title: eor-project-assignment_checkinProjectAssignment_Response_204
    EorContractsContractIdProjectAssignmentCheckinPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        EorContractsContractIdProjectAssignmentCheckinPostResponsesContentApplicationJsonSchemaErrorsItems
    SubmitProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinPostResponsesContentApplicationJsonSchemaErrorsItems
      title: SubmitProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    SubmitProjectAssignmentCheckinQuestionnaireDataRequestConflictError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinPostResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: SubmitProjectAssignmentCheckinQuestionnaireDataRequestConflictError
    SubmitProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinPostResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        SubmitProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin"

payload = { "body": { "data": {
            "type": "EMPLOYEE",
            "version": "7d39089b657fd85a602b",
            "questions_with_answers": {
                "q12345": "Yes, I confirm",
                "q67890": "I have completed all assigned tasks for this project phase.",
                "q11223": "No issues encountered during the assignment period.",
                "q44556": "2024-06-15"
            }
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"type":"EMPLOYEE","version":"7d39089b657fd85a602b","questions_with_answers":{"q12345":"Yes, I confirm","q67890":"I have completed all assigned tasks for this project phase.","q11223":"No issues encountered during the assignment period.","q44556":"2024-06-15"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"type\": \"EMPLOYEE\",\n      \"version\": \"7d39089b657fd85a602b\",\n      \"questions_with_answers\": {\n        \"q12345\": \"Yes, I confirm\",\n        \"q67890\": \"I have completed all assigned tasks for this project phase.\",\n        \"q11223\": \"No issues encountered during the assignment period.\",\n        \"q44556\": \"2024-06-15\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"type\": \"EMPLOYEE\",\n      \"version\": \"7d39089b657fd85a602b\",\n      \"questions_with_answers\": {\n        \"q12345\": \"Yes, I confirm\",\n        \"q67890\": \"I have completed all assigned tasks for this project phase.\",\n        \"q11223\": \"No issues encountered during the assignment period.\",\n        \"q44556\": \"2024-06-15\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"type\": \"EMPLOYEE\",\n      \"version\": \"7d39089b657fd85a602b\",\n      \"questions_with_answers\": {\n        \"q12345\": \"Yes, I confirm\",\n        \"q67890\": \"I have completed all assigned tasks for this project phase.\",\n        \"q11223\": \"No issues encountered during the assignment period.\",\n        \"q44556\": \"2024-06-15\"\n      }\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin', [
  'body' => '{
  "body": {
    "data": {
      "type": "EMPLOYEE",
      "version": "7d39089b657fd85a602b",
      "questions_with_answers": {
        "q12345": "Yes, I confirm",
        "q67890": "I have completed all assigned tasks for this project phase.",
        "q11223": "No issues encountered during the assignment period.",
        "q44556": "2024-06-15"
      }
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"type\": \"EMPLOYEE\",\n      \"version\": \"7d39089b657fd85a602b\",\n      \"questions_with_answers\": {\n        \"q12345\": \"Yes, I confirm\",\n        \"q67890\": \"I have completed all assigned tasks for this project phase.\",\n        \"q11223\": \"No issues encountered during the assignment period.\",\n        \"q44556\": \"2024-06-15\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "type": "EMPLOYEE",
      "version": "7d39089b657fd85a602b",
      "questions_with_answers": [
        "q12345": "Yes, I confirm",
        "q67890": "I have completed all assigned tasks for this project phase.",
        "q11223": "No issues encountered during the assignment period.",
        "q44556": "2024-06-15"
      ]
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```